package com.itant.shiwushu;

import android.app.Application;

import com.itant.shiwushu.manager.RealmManager;
import com.itant.shiwushu.tool.file.FileTool;
import com.umeng.commonsdk.UMConfigure;

import cn.feng.skin.manager.loader.SkinManager;

/**
 * Created by Jason on 2018/10/3.
 */

public class LAFApplication extends Application {
    public static LAFApplication instance;

    @Override
    public void onCreate() {
        super.onCreate();
        UMConfigure.init(this, "5bc3091eb465f5807e000529", "all", UMConfigure.DEVICE_TYPE_PHONE, "");
        new Thread(new Runnable() {
            @Override
            public void run() {
                FileTool.copyAssetToSDCard(getApplicationContext());
            }
        }).start();
        instance = this;
        SkinManager.getInstance().init(this);
        SkinManager.getInstance().load();

        RealmManager.getInstance().initRealm(this);
    }
}
